/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ExecuteStatementInput } from "../types/ExecuteStatementInput";
import { ExecuteStatementOutput } from "../types/ExecuteStatementOutput";
import { RDSDataResolvedConfiguration } from "../RDSDataConfiguration";
export * from "../types/ExecuteStatementInput";
export * from "../types/ExecuteStatementOutput";
export * from "../types/ExecuteStatementExceptionsUnion";
export declare class ExecuteStatementCommand implements __aws_sdk_types.Command<InputTypesUnion, ExecuteStatementInput, OutputTypesUnion, ExecuteStatementOutput, RDSDataResolvedConfiguration, _stream.Readable> {
    readonly input: ExecuteStatementInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ExecuteStatementInput, ExecuteStatementOutput, _stream.Readable>;
    constructor(input: ExecuteStatementInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSDataResolvedConfiguration): __aws_sdk_types.Handler<ExecuteStatementInput, ExecuteStatementOutput>;
}
