"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ExecuteStatementInput_1 = require("../shapes/ExecuteStatementInput");
const ExecuteStatementOutput_1 = require("../shapes/ExecuteStatementOutput");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ForbiddenException_1 = require("../shapes/ForbiddenException");
const InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
const ServiceUnavailableError_1 = require("../shapes/ServiceUnavailableError");
const StatementTimeoutException_1 = require("../shapes/StatementTimeoutException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ExecuteStatement = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ExecuteStatement",
    http: {
        method: "POST",
        requestUri: "/Execute"
    },
    input: {
        shape: ExecuteStatementInput_1.ExecuteStatementInput
    },
    output: {
        shape: ExecuteStatementOutput_1.ExecuteStatementOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ServiceUnavailableError_1.ServiceUnavailableError
        },
        {
            shape: StatementTimeoutException_1.StatementTimeoutException
        }
    ]
};
//# sourceMappingURL=ExecuteStatement.js.map